//Proximity Sensor//
#include "HCSR04.h"//include your proximity sensor library
#define echoPin 4  // This is the echo pin
#define triggerPin 5 // This is the trigger pin

HCSR04ProxSensor distanceSensor(echoPin, triggerPin); //here we call the constructor to instantiate a sensor named "distanceSensor"

//IR Sensor and Servo//
#include <IRremote.h>
#include <Servo.h>
#define SELECT_BUTTON 0x3D9AE3F7 //Center the servo, modified 2
#define BUTTON_0 0x1B92EF72  //Modified Button 1, all the way to the left
#define BUTTON_1 0x36A304  //Modified Button 3, all the way to the right
IRrecv irrecv(6);
decode_results My_Decoder;
Servo My_Servo;  // create servo object to control a servo
Servo Servo2; // creates a sercond server object
int pos;         // variable to store the servo position
int Speed;       // Number of degrees to move each time a left/right button is pressed
int pos1;
int pos2;

//Set-Up//

void setup() {
  Serial.begin(9600);//start serial communication

  My_Servo.attach(3);  // attaches the servo on pin 3 to the servo object
  Servo2.attach(7); //attaches servo 2 to pin 7
  pos = 90;            // start at midpoint 90 degrees
  pos1 = 80;
  pos2 = 10;
  My_Servo.write(pos); // Set initial position
  Servo2.write(pos1);
  irrecv.enableIRIn();
}

//Main Loop//

//Reads Distance//
void loop()
//Determines whether or not to Dispense//
{
  if (distanceSensor.getLastValue() < 4) {
    Servo2.write(pos2);
    delay(100);
  }
  if (distanceSensor.getLastValue() > 4) {
    Servo2.write(pos1);
    delay(100);
  }

  float distance = distanceSensor.readSensor();//here we call the 'readSensor' method to determine the distance

  if (distanceSensor.getLastValue() < 4) {
   // Serial.println("Dispensing"); //here we call the 'getLastValue' method to determine the direction of motion
  }
  if (distanceSensor.getLastValue() > 4) {
    //Serial.println("Holding:");
   // Serial.print (distance);
  }

  //Switches Graphite Thickness//
  if (irrecv.decode(&My_Decoder)) {
    if (My_Decoder.value == 1033561079)
      pos = 90;
    else if (My_Decoder.value == 2534850111)
      pos = 0;
    else if (My_Decoder.value == 1635910171
)
      pos = 180;
    irrecv.resume();
  }
  My_Servo.write(pos); // Tells Servo to go to "pos"
  
  Serial.println(My_Decoder.value);
}






