/************************
Made by Theodore Panong
Made for HCSRO4 Proximity Sensor
Made February 26, 2018
*************************/


#ifndef HCSR04_h
#define HCSR04_h

#include "Arduino.h"

class HCSR04ProxSensor {
 public:
    HCSR04ProxSensor(int echoPin, int triggerPin); //constructor
    float readSensor(); //Read sensor in cm
    float getLastValue(); //Gets previous readings
 private:
    int triggerPin, echoPin; 
    float lastDistance, currentDistance; //Distance Variables
};

#endif // HCSR04_h
